com.trendmicro.ds.platform.rest.api

## Interface ITenantTemplateAPI

-     @Path(value="/tenanttemplate")
      public interface ITenantTemplateAPI

  Interface for the Tenant Template API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateTenantTemplateResponse` | `createTenantTemplate(CreateTenantTemplateRequest createTenantTemplateRequest)` Create a new tenant template using the provided tenantId.
    `TenantTemplateElement` | `getTenantTemplate(java.lang.String sessionId)` Retrieve the current tenant template.

- - ### Method Detail

    - #### getTenantTemplate

          @GET
           @Produces(value={"application/xml","application/json"})
          TenantTemplateElement getTenantTemplate(@QueryParam(value="sID")
                                                                                                                java.lang.String sessionId)
                                                                                                         throws java.lang.Exception

      Retrieve the current tenant template. The template is used when creating new tenants, with the new tenant getting the rules and policies set in the template.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        The information about the tenant template (if any).
      Throws:
        `java.lang.Exception`

    - #### createTenantTemplate

          @POST
           @Consumes(value={"application/xml","application/json"})
           @Produces(value={"application/xml","application/json"})
          CreateTenantTemplateResponse createTenantTemplate(CreateTenantTemplateRequest createTenantTemplateRequest)
                                                                                                                                                                             throws java.lang.Exception

      Create a new tenant template using the provided tenantId. This new template replaces the existing template.
      Parameters:
        `createTenantTemplateRequest` - the request parameters.
      Returns:
        A response with code `200 OK` and a body containing a `CreateTenantTemplateResponse` when the template creation was successful. It will return code `400 Bad Request` and a body containing an `ErrorMessage` when mandatory parameters are missing and/or validation fails.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.